package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author Henrique Simoes
 * @generated
 */
public class AgendamentoSoap implements Serializable {
    private String _uuid;
    private long _agendamentoId;
    private long _mensagemId;
    private long _companyId;
    private long _groupId;
    private int _tipoAgendamento;
    private Date _dataCalendario;
    private Date _dataInicio;
    private Date _dataFim;
    private int _padraoRecorrencia;
    private int _frequencia;
    private boolean _diarioTodos;
    private String _semanalDias;
    private int _mensalDiaFrequencia;
    private Date _dataAtualizacao;
    private Date _dataEnvio;
    private int _situacaoEnvio;
    private boolean _erroEnvio;
    private String _mensagemErro;

    public AgendamentoSoap() {
    }

    public static AgendamentoSoap toSoapModel(Agendamento model) {
        AgendamentoSoap soapModel = new AgendamentoSoap();

        soapModel.setUuid(model.getUuid());
        soapModel.setAgendamentoId(model.getAgendamentoId());
        soapModel.setMensagemId(model.getMensagemId());
        soapModel.setCompanyId(model.getCompanyId());
        soapModel.setGroupId(model.getGroupId());
        soapModel.setTipoAgendamento(model.getTipoAgendamento());
        soapModel.setDataCalendario(model.getDataCalendario());
        soapModel.setDataInicio(model.getDataInicio());
        soapModel.setDataFim(model.getDataFim());
        soapModel.setPadraoRecorrencia(model.getPadraoRecorrencia());
        soapModel.setFrequencia(model.getFrequencia());
        soapModel.setDiarioTodos(model.getDiarioTodos());
        soapModel.setSemanalDias(model.getSemanalDias());
        soapModel.setMensalDiaFrequencia(model.getMensalDiaFrequencia());
        soapModel.setDataAtualizacao(model.getDataAtualizacao());
        soapModel.setDataEnvio(model.getDataEnvio());
        soapModel.setSituacaoEnvio(model.getSituacaoEnvio());
        soapModel.setErroEnvio(model.getErroEnvio());
        soapModel.setMensagemErro(model.getMensagemErro());

        return soapModel;
    }

    public static AgendamentoSoap[] toSoapModels(Agendamento[] models) {
        AgendamentoSoap[] soapModels = new AgendamentoSoap[models.length];

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModel(models[i]);
        }

        return soapModels;
    }

    public static AgendamentoSoap[][] toSoapModels(Agendamento[][] models) {
        AgendamentoSoap[][] soapModels = null;

        if (models.length > 0) {
            soapModels = new AgendamentoSoap[models.length][models[0].length];
        } else {
            soapModels = new AgendamentoSoap[0][0];
        }

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModels(models[i]);
        }

        return soapModels;
    }

    public static AgendamentoSoap[] toSoapModels(List<Agendamento> models) {
        List<AgendamentoSoap> soapModels = new ArrayList<AgendamentoSoap>(models.size());

        for (Agendamento model : models) {
            soapModels.add(toSoapModel(model));
        }

        return soapModels.toArray(new AgendamentoSoap[soapModels.size()]);
    }

    public long getPrimaryKey() {
        return _agendamentoId;
    }

    public void setPrimaryKey(long pk) {
        setAgendamentoId(pk);
    }

    public String getUuid() {
        return _uuid;
    }

    public void setUuid(String uuid) {
        _uuid = uuid;
    }

    public long getAgendamentoId() {
        return _agendamentoId;
    }

    public void setAgendamentoId(long agendamentoId) {
        _agendamentoId = agendamentoId;
    }

    public long getMensagemId() {
        return _mensagemId;
    }

    public void setMensagemId(long mensagemId) {
        _mensagemId = mensagemId;
    }

    public long getCompanyId() {
        return _companyId;
    }

    public void setCompanyId(long companyId) {
        _companyId = companyId;
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        _groupId = groupId;
    }

    public int getTipoAgendamento() {
        return _tipoAgendamento;
    }

    public void setTipoAgendamento(int tipoAgendamento) {
        _tipoAgendamento = tipoAgendamento;
    }

    public Date getDataCalendario() {
        return _dataCalendario;
    }

    public void setDataCalendario(Date dataCalendario) {
        _dataCalendario = dataCalendario;
    }

    public Date getDataInicio() {
        return _dataInicio;
    }

    public void setDataInicio(Date dataInicio) {
        _dataInicio = dataInicio;
    }

    public Date getDataFim() {
        return _dataFim;
    }

    public void setDataFim(Date dataFim) {
        _dataFim = dataFim;
    }

    public int getPadraoRecorrencia() {
        return _padraoRecorrencia;
    }

    public void setPadraoRecorrencia(int padraoRecorrencia) {
        _padraoRecorrencia = padraoRecorrencia;
    }

    public int getFrequencia() {
        return _frequencia;
    }

    public void setFrequencia(int frequencia) {
        _frequencia = frequencia;
    }

    public boolean getDiarioTodos() {
        return _diarioTodos;
    }

    public boolean isDiarioTodos() {
        return _diarioTodos;
    }

    public void setDiarioTodos(boolean diarioTodos) {
        _diarioTodos = diarioTodos;
    }

    public String getSemanalDias() {
        return _semanalDias;
    }

    public void setSemanalDias(String semanalDias) {
        _semanalDias = semanalDias;
    }

    public int getMensalDiaFrequencia() {
        return _mensalDiaFrequencia;
    }

    public void setMensalDiaFrequencia(int mensalDiaFrequencia) {
        _mensalDiaFrequencia = mensalDiaFrequencia;
    }

    public Date getDataAtualizacao() {
        return _dataAtualizacao;
    }

    public void setDataAtualizacao(Date dataAtualizacao) {
        _dataAtualizacao = dataAtualizacao;
    }

    public Date getDataEnvio() {
        return _dataEnvio;
    }

    public void setDataEnvio(Date dataEnvio) {
        _dataEnvio = dataEnvio;
    }

    public int getSituacaoEnvio() {
        return _situacaoEnvio;
    }

    public void setSituacaoEnvio(int situacaoEnvio) {
        _situacaoEnvio = situacaoEnvio;
    }

    public boolean getErroEnvio() {
        return _erroEnvio;
    }

    public boolean isErroEnvio() {
        return _erroEnvio;
    }

    public void setErroEnvio(boolean erroEnvio) {
        _erroEnvio = erroEnvio;
    }

    public String getMensagemErro() {
        return _mensagemErro;
    }

    public void setMensagemErro(String mensagemErro) {
        _mensagemErro = mensagemErro;
    }
}
