package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the AnexoMensagem service. Represents a row in the &quot;PRT_GESTMSG_ANEXO_MENSAGEM&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemImpl}.
 * </p>
 *
 * @author Henrique Simoes
 * @see AnexoMensagem
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl
 * @generated
 */
public interface AnexoMensagemModel extends BaseModel<AnexoMensagem> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a anexo mensagem model instance should use the {@link AnexoMensagem} interface instead.
     */

    /**
     * Returns the primary key of this anexo mensagem.
     *
     * @return the primary key of this anexo mensagem
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this anexo mensagem.
     *
     * @param primaryKey the primary key of this anexo mensagem
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the uuid of this anexo mensagem.
     *
     * @return the uuid of this anexo mensagem
     */
    @AutoEscape
    public String getUuid();

    /**
     * Sets the uuid of this anexo mensagem.
     *
     * @param uuid the uuid of this anexo mensagem
     */
    public void setUuid(String uuid);

    /**
     * Returns the anexo mensagem ID of this anexo mensagem.
     *
     * @return the anexo mensagem ID of this anexo mensagem
     */
    public long getAnexoMensagemId();

    /**
     * Sets the anexo mensagem ID of this anexo mensagem.
     *
     * @param anexoMensagemId the anexo mensagem ID of this anexo mensagem
     */
    public void setAnexoMensagemId(long anexoMensagemId);

    /**
     * Returns the mensagem ID of this anexo mensagem.
     *
     * @return the mensagem ID of this anexo mensagem
     */
    public long getMensagemId();

    /**
     * Sets the mensagem ID of this anexo mensagem.
     *
     * @param mensagemId the mensagem ID of this anexo mensagem
     */
    public void setMensagemId(long mensagemId);

    /**
     * Returns the company ID of this anexo mensagem.
     *
     * @return the company ID of this anexo mensagem
     */
    public long getCompanyId();

    /**
     * Sets the company ID of this anexo mensagem.
     *
     * @param companyId the company ID of this anexo mensagem
     */
    public void setCompanyId(long companyId);

    /**
     * Returns the group ID of this anexo mensagem.
     *
     * @return the group ID of this anexo mensagem
     */
    public long getGroupId();

    /**
     * Sets the group ID of this anexo mensagem.
     *
     * @param groupId the group ID of this anexo mensagem
     */
    public void setGroupId(long groupId);

    /**
     * Returns the user ID of this anexo mensagem.
     *
     * @return the user ID of this anexo mensagem
     */
    public long getUserId();

    /**
     * Sets the user ID of this anexo mensagem.
     *
     * @param userId the user ID of this anexo mensagem
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this anexo mensagem.
     *
     * @return the user uuid of this anexo mensagem
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this anexo mensagem.
     *
     * @param userUuid the user uuid of this anexo mensagem
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the data criacao of this anexo mensagem.
     *
     * @return the data criacao of this anexo mensagem
     */
    public Date getDataCriacao();

    /**
     * Sets the data criacao of this anexo mensagem.
     *
     * @param dataCriacao the data criacao of this anexo mensagem
     */
    public void setDataCriacao(Date dataCriacao);

    /**
     * Returns the anexo url of this anexo mensagem.
     *
     * @return the anexo url of this anexo mensagem
     */
    @AutoEscape
    public String getAnexoUrl();

    /**
     * Sets the anexo url of this anexo mensagem.
     *
     * @param anexoUrl the anexo url of this anexo mensagem
     */
    public void setAnexoUrl(String anexoUrl);

    /**
     * Returns the file name of this anexo mensagem.
     *
     * @return the file name of this anexo mensagem
     */
    @AutoEscape
    public String getFileName();

    /**
     * Sets the file name of this anexo mensagem.
     *
     * @param fileName the file name of this anexo mensagem
     */
    public void setFileName(String fileName);

    /**
     * Returns the versao of this anexo mensagem.
     *
     * @return the versao of this anexo mensagem
     */
    @AutoEscape
    public String getVersao();

    /**
     * Sets the versao of this anexo mensagem.
     *
     * @param versao the versao of this anexo mensagem
     */
    public void setVersao(String versao);

    /**
     * Returns the content type of this anexo mensagem.
     *
     * @return the content type of this anexo mensagem
     */
    @AutoEscape
    public String getContentType();

    /**
     * Sets the content type of this anexo mensagem.
     *
     * @param contentType the content type of this anexo mensagem
     */
    public void setContentType(String contentType);

    /**
     * Returns the ativo of this anexo mensagem.
     *
     * @return the ativo of this anexo mensagem
     */
    public boolean getAtivo();

    /**
     * Returns <code>true</code> if this anexo mensagem is ativo.
     *
     * @return <code>true</code> if this anexo mensagem is ativo; <code>false</code> otherwise
     */
    public boolean isAtivo();

    /**
     * Sets whether this anexo mensagem is ativo.
     *
     * @param ativo the ativo of this anexo mensagem
     */
    public void setAtivo(boolean ativo);

    /**
     * Returns the anexo file entry ID of this anexo mensagem.
     *
     * @return the anexo file entry ID of this anexo mensagem
     */
    public long getAnexoFileEntryId();

    /**
     * Sets the anexo file entry ID of this anexo mensagem.
     *
     * @param anexoFileEntryId the anexo file entry ID of this anexo mensagem
     */
    public void setAnexoFileEntryId(long anexoFileEntryId);

    /**
     * Returns the anexo path of this anexo mensagem.
     *
     * @return the anexo path of this anexo mensagem
     */
    @AutoEscape
    public String getAnexoPath();

    /**
     * Sets the anexo path of this anexo mensagem.
     *
     * @param anexoPath the anexo path of this anexo mensagem
     */
    public void setAnexoPath(String anexoPath);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem anexoMensagem);

    @Override
    public int hashCode();

    @Override
    public CacheModel<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> toCacheModel();

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem toEscapedModel();

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
