package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the MensagemWorkflow service. Represents a row in the &quot;PRT_GESTMSG_MENSAGEM_WORKFLOW&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowImpl}.
 * </p>
 *
 * @author Henrique Simoes
 * @see MensagemWorkflow
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl
 * @generated
 */
public interface MensagemWorkflowModel extends BaseModel<MensagemWorkflow> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a mensagem workflow model instance should use the {@link MensagemWorkflow} interface instead.
     */

    /**
     * Returns the primary key of this mensagem workflow.
     *
     * @return the primary key of this mensagem workflow
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this mensagem workflow.
     *
     * @param primaryKey the primary key of this mensagem workflow
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the uuid of this mensagem workflow.
     *
     * @return the uuid of this mensagem workflow
     */
    @AutoEscape
    public String getUuid();

    /**
     * Sets the uuid of this mensagem workflow.
     *
     * @param uuid the uuid of this mensagem workflow
     */
    public void setUuid(String uuid);

    /**
     * Returns the mensagem workflow ID of this mensagem workflow.
     *
     * @return the mensagem workflow ID of this mensagem workflow
     */
    public long getMensagemWorkflowId();

    /**
     * Sets the mensagem workflow ID of this mensagem workflow.
     *
     * @param mensagemWorkflowId the mensagem workflow ID of this mensagem workflow
     */
    public void setMensagemWorkflowId(long mensagemWorkflowId);

    /**
     * Returns the mensagem ID of this mensagem workflow.
     *
     * @return the mensagem ID of this mensagem workflow
     */
    public long getMensagemId();

    /**
     * Sets the mensagem ID of this mensagem workflow.
     *
     * @param mensagemId the mensagem ID of this mensagem workflow
     */
    public void setMensagemId(long mensagemId);

    /**
     * Returns the user ID of this mensagem workflow.
     *
     * @return the user ID of this mensagem workflow
     */
    public long getUserId();

    /**
     * Sets the user ID of this mensagem workflow.
     *
     * @param userId the user ID of this mensagem workflow
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this mensagem workflow.
     *
     * @return the user uuid of this mensagem workflow
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this mensagem workflow.
     *
     * @param userUuid the user uuid of this mensagem workflow
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the status of this mensagem workflow.
     *
     * @return the status of this mensagem workflow
     */
    public int getStatus();

    /**
     * Sets the status of this mensagem workflow.
     *
     * @param status the status of this mensagem workflow
     */
    public void setStatus(int status);

    /**
     * Returns the data of this mensagem workflow.
     *
     * @return the data of this mensagem workflow
     */
    public Date getData();

    /**
     * Sets the data of this mensagem workflow.
     *
     * @param data the data of this mensagem workflow
     */
    public void setData(Date data);

    /**
     * Returns the comentario of this mensagem workflow.
     *
     * @return the comentario of this mensagem workflow
     */
    @AutoEscape
    public String getComentario();

    /**
     * Sets the comentario of this mensagem workflow.
     *
     * @param comentario the comentario of this mensagem workflow
     */
    public void setComentario(String comentario);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow mensagemWorkflow);

    @Override
    public int hashCode();

    @Override
    public CacheModel<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> toCacheModel();

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow toEscapedModel();

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
