package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author Henrique Simoes
 * @generated
 */
public class MensagemWorkflowSoap implements Serializable {
    private String _uuid;
    private long _mensagemWorkflowId;
    private long _mensagemId;
    private long _userId;
    private int _status;
    private Date _data;
    private String _comentario;

    public MensagemWorkflowSoap() {
    }

    public static MensagemWorkflowSoap toSoapModel(MensagemWorkflow model) {
        MensagemWorkflowSoap soapModel = new MensagemWorkflowSoap();

        soapModel.setUuid(model.getUuid());
        soapModel.setMensagemWorkflowId(model.getMensagemWorkflowId());
        soapModel.setMensagemId(model.getMensagemId());
        soapModel.setUserId(model.getUserId());
        soapModel.setStatus(model.getStatus());
        soapModel.setData(model.getData());
        soapModel.setComentario(model.getComentario());

        return soapModel;
    }

    public static MensagemWorkflowSoap[] toSoapModels(MensagemWorkflow[] models) {
        MensagemWorkflowSoap[] soapModels = new MensagemWorkflowSoap[models.length];

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModel(models[i]);
        }

        return soapModels;
    }

    public static MensagemWorkflowSoap[][] toSoapModels(
        MensagemWorkflow[][] models) {
        MensagemWorkflowSoap[][] soapModels = null;

        if (models.length > 0) {
            soapModels = new MensagemWorkflowSoap[models.length][models[0].length];
        } else {
            soapModels = new MensagemWorkflowSoap[0][0];
        }

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModels(models[i]);
        }

        return soapModels;
    }

    public static MensagemWorkflowSoap[] toSoapModels(
        List<MensagemWorkflow> models) {
        List<MensagemWorkflowSoap> soapModels = new ArrayList<MensagemWorkflowSoap>(models.size());

        for (MensagemWorkflow model : models) {
            soapModels.add(toSoapModel(model));
        }

        return soapModels.toArray(new MensagemWorkflowSoap[soapModels.size()]);
    }

    public long getPrimaryKey() {
        return _mensagemWorkflowId;
    }

    public void setPrimaryKey(long pk) {
        setMensagemWorkflowId(pk);
    }

    public String getUuid() {
        return _uuid;
    }

    public void setUuid(String uuid) {
        _uuid = uuid;
    }

    public long getMensagemWorkflowId() {
        return _mensagemWorkflowId;
    }

    public void setMensagemWorkflowId(long mensagemWorkflowId) {
        _mensagemWorkflowId = mensagemWorkflowId;
    }

    public long getMensagemId() {
        return _mensagemId;
    }

    public void setMensagemId(long mensagemId) {
        _mensagemId = mensagemId;
    }

    public long getUserId() {
        return _userId;
    }

    public void setUserId(long userId) {
        _userId = userId;
    }

    public int getStatus() {
        return _status;
    }

    public void setStatus(int status) {
        _status = status;
    }

    public Date getData() {
        return _data;
    }

    public void setData(Date data) {
        _data = data;
    }

    public String getComentario() {
        return _comentario;
    }

    public void setComentario(String comentario) {
        _comentario = comentario;
    }
}
