package br.mp.mprj.portal.portlet.gestaomensagens.service.service;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.search.IndexableType;
import com.liferay.portal.kernel.transaction.Isolation;
import com.liferay.portal.kernel.transaction.Propagation;
import com.liferay.portal.kernel.transaction.Transactional;
import com.liferay.portal.service.BaseLocalService;
import com.liferay.portal.service.InvokableLocalService;
import com.liferay.portal.service.PersistedModelLocalService;

/**
 * Provides the local service interface for Agendamento. Methods of this
 * service will not have security checks based on the propagated JAAS
 * credentials because this service can only be accessed from within the same
 * VM.
 *
 * @author Henrique Simoes
 * @see AgendamentoLocalServiceUtil
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.base.AgendamentoLocalServiceBaseImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.AgendamentoLocalServiceImpl
 * @generated
 */
@Transactional(isolation = Isolation.PORTAL, rollbackFor =  {
    PortalException.class, SystemException.class}
)
public interface AgendamentoLocalService extends BaseLocalService,
    InvokableLocalService, PersistedModelLocalService {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. Always use {@link AgendamentoLocalServiceUtil} to access the agendamento local service. Add custom service methods to {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.AgendamentoLocalServiceImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
     */

    /**
    * Adds the agendamento to the database. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was added
    * @throws SystemException if a system exception occurred
    */
    @com.liferay.portal.kernel.search.Indexable(type = IndexableType.REINDEX)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento addAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Creates a new agendamento with the primary key. Does not add the agendamento to the database.
    *
    * @param agendamentoId the primary key for the new agendamento
    * @return the new agendamento
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento createAgendamento(
        long agendamentoId);

    /**
    * Deletes the agendamento with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param agendamentoId the primary key of the agendamento
    * @return the agendamento that was removed
    * @throws PortalException if a agendamento with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @com.liferay.portal.kernel.search.Indexable(type = IndexableType.DELETE)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento deleteAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Deletes the agendamento from the database. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was removed
    * @throws SystemException if a system exception occurred
    */
    @com.liferay.portal.kernel.search.Indexable(type = IndexableType.DELETE)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento deleteAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException;

    public com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery();

    /**
    * Performs a dynamic query on the database and returns the matching rows.
    *
    * @param dynamicQuery the dynamic query
    * @return the matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Performs a dynamic query on the database and returns a range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @return the range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end) throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Performs a dynamic query on the database and returns an ordered range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @param projection the projection to apply to the query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
        com.liferay.portal.kernel.dao.orm.Projection projection)
        throws com.liferay.portal.kernel.exception.SystemException;

    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the agendamento with the matching UUID and company.
    *
    * @param uuid the agendamento's UUID
    * @param companyId the primary key of the company
    * @return the matching agendamento, or <code>null</code> if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamentoByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the agendamento matching the UUID and group.
    *
    * @param uuid the agendamento's UUID
    * @param groupId the primary key of the group
    * @return the matching agendamento, or <code>null</code> if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamentoByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the agendamento with the primary key.
    *
    * @param agendamentoId the primary key of the agendamento
    * @return the agendamento
    * @throws PortalException if a agendamento with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    @Override
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public com.liferay.portal.model.PersistedModel getPersistedModel(
        java.io.Serializable primaryKeyObj)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the agendamento with the matching UUID and company.
    *
    * @param uuid the agendamento's UUID
    * @param companyId the primary key of the company
    * @return the matching agendamento
    * @throws PortalException if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamentoByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the agendamento matching the UUID and group.
    *
    * @param uuid the agendamento's UUID
    * @param groupId the primary key of the group
    * @return the matching agendamento
    * @throws PortalException if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamentoByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the agendamentos.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of agendamentos
    * @param end the upper bound of the range of agendamentos (not inclusive)
    * @return the range of agendamentos
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> getAgendamentos(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of agendamentos.
    *
    * @return the number of agendamentos
    * @throws SystemException if a system exception occurred
    */
    @Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
    public int getAgendamentosCount()
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Updates the agendamento in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was updated
    * @throws SystemException if a system exception occurred
    */
    @com.liferay.portal.kernel.search.Indexable(type = IndexableType.REINDEX)
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento updateAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the Spring bean ID for this bean.
    *
    * @return the Spring bean ID for this bean
    */
    public java.lang.String getBeanIdentifier();

    /**
    * Sets the Spring bean ID for this bean.
    *
    * @param beanIdentifier the Spring bean ID for this bean
    */
    public void setBeanIdentifier(java.lang.String beanIdentifier);

    @Override
    public java.lang.Object invokeMethod(java.lang.String name,
        java.lang.String[] parameterTypes, java.lang.Object[] arguments)
        throws java.lang.Throwable;

    /**
    * Retorna os agendamentos de determinada mensagem, de acordo com os tipos definidos em {@link TipoAgendamentoEnum} (posi&ccedil;&atilde;o do enum, ou seja, ordinal).
    *
    * @param mensagemId
    * @param tiposAgendamento
    * @return
    * @throws PortalException
    * @throws SystemException
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> findByMensagemTipoAgendamentoMultiplos(
        long mensagemId, int[] tiposAgendamento)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Define as informa&ccedil;&otilde;es de agendamento nos atributos da mensagem.
    *
    * @param mensagem - inst&acirc;ncia de {@link Mensagem} devidamente inicializada.
    * @param carregarCalendario - definir se deve ou n&atilde;o carregar os Map's auxiliares para a montagem do calend&aacute;rio na p&aacute;gina.
    */
    public void carregarAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        boolean carregarCalendario)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Localiza todos os Agendamentos que ainda estao
    * pendentes de envio e que possuem a data e hora anterior ao
    * momento atual.
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> findByMensagensPendetesDeEnvio();

    /**
    * Recupera o total de agendamentos por mensagem e situacao de envio.
    */
    public int recuperaTotalAgendamentosPorSituacao(long mensagemId,
        int situacaoEnvio)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Recupera uma lista de agendamentos por mensagem e situacao de envio.
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> recuperaAgendamentosPorSituacao(
        long mensagemId, int situacaoEnvio)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Recupera uma lista de agendamentos por mensagem.
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> recuperaAgendamentos(
        long mensagemId)
        throws com.liferay.portal.kernel.exception.SystemException;

    public void gerenciaAgendamentos(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException;

    public void enviaMensagem(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException,
            java.io.UnsupportedEncodingException,
            javax.mail.internet.AddressException;

    public void enviaMensagem(
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> listaAgendamento)
        throws com.liferay.portal.kernel.exception.PortalException;
}
