package br.mp.mprj.portal.portlet.gestaomensagens.service.service;

import com.liferay.portal.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link AgendamentoLocalService}.
 *
 * @author Henrique Simoes
 * @see AgendamentoLocalService
 * @generated
 */
public class AgendamentoLocalServiceWrapper implements AgendamentoLocalService,
    ServiceWrapper<AgendamentoLocalService> {
    private AgendamentoLocalService _agendamentoLocalService;

    public AgendamentoLocalServiceWrapper(
        AgendamentoLocalService agendamentoLocalService) {
        _agendamentoLocalService = agendamentoLocalService;
    }

    /**
    * Adds the agendamento to the database. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was added
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento addAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.addAgendamento(agendamento);
    }

    /**
    * Creates a new agendamento with the primary key. Does not add the agendamento to the database.
    *
    * @param agendamentoId the primary key for the new agendamento
    * @return the new agendamento
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento createAgendamento(
        long agendamentoId) {
        return _agendamentoLocalService.createAgendamento(agendamentoId);
    }

    /**
    * Deletes the agendamento with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param agendamentoId the primary key of the agendamento
    * @return the agendamento that was removed
    * @throws PortalException if a agendamento with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento deleteAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.deleteAgendamento(agendamentoId);
    }

    /**
    * Deletes the agendamento from the database. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was removed
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento deleteAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.deleteAgendamento(agendamento);
    }

    @Override
    public com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery() {
        return _agendamentoLocalService.dynamicQuery();
    }

    /**
    * Performs a dynamic query on the database and returns the matching rows.
    *
    * @param dynamicQuery the dynamic query
    * @return the matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.dynamicQuery(dynamicQuery);
    }

    /**
    * Performs a dynamic query on the database and returns a range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @return the range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end) throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.dynamicQuery(dynamicQuery, start, end);
    }

    /**
    * Performs a dynamic query on the database and returns an ordered range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.dynamicQuery(dynamicQuery, start, end,
            orderByComparator);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    @Override
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.dynamicQueryCount(dynamicQuery);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @param projection the projection to apply to the query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    @Override
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
        com.liferay.portal.kernel.dao.orm.Projection projection)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.dynamicQueryCount(dynamicQuery,
            projection);
    }

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.fetchAgendamento(agendamentoId);
    }

    /**
    * Returns the agendamento with the matching UUID and company.
    *
    * @param uuid the agendamento's UUID
    * @param companyId the primary key of the company
    * @return the matching agendamento, or <code>null</code> if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamentoByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.fetchAgendamentoByUuidAndCompanyId(uuid,
            companyId);
    }

    /**
    * Returns the agendamento matching the UUID and group.
    *
    * @param uuid the agendamento's UUID
    * @param groupId the primary key of the group
    * @return the matching agendamento, or <code>null</code> if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento fetchAgendamentoByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.fetchAgendamentoByUuidAndGroupId(uuid,
            groupId);
    }

    /**
    * Returns the agendamento with the primary key.
    *
    * @param agendamentoId the primary key of the agendamento
    * @return the agendamento
    * @throws PortalException if a agendamento with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamento(
        long agendamentoId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getAgendamento(agendamentoId);
    }

    @Override
    public com.liferay.portal.model.PersistedModel getPersistedModel(
        java.io.Serializable primaryKeyObj)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getPersistedModel(primaryKeyObj);
    }

    /**
    * Returns the agendamento with the matching UUID and company.
    *
    * @param uuid the agendamento's UUID
    * @param companyId the primary key of the company
    * @return the matching agendamento
    * @throws PortalException if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamentoByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getAgendamentoByUuidAndCompanyId(uuid,
            companyId);
    }

    /**
    * Returns the agendamento matching the UUID and group.
    *
    * @param uuid the agendamento's UUID
    * @param groupId the primary key of the group
    * @return the matching agendamento
    * @throws PortalException if a matching agendamento could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento getAgendamentoByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getAgendamentoByUuidAndGroupId(uuid,
            groupId);
    }

    /**
    * Returns a range of all the agendamentos.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AgendamentoModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of agendamentos
    * @param end the upper bound of the range of agendamentos (not inclusive)
    * @return the range of agendamentos
    * @throws SystemException if a system exception occurred
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> getAgendamentos(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getAgendamentos(start, end);
    }

    /**
    * Returns the number of agendamentos.
    *
    * @return the number of agendamentos
    * @throws SystemException if a system exception occurred
    */
    @Override
    public int getAgendamentosCount()
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.getAgendamentosCount();
    }

    /**
    * Updates the agendamento in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
    *
    * @param agendamento the agendamento
    * @return the agendamento that was updated
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento updateAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.updateAgendamento(agendamento);
    }

    /**
    * Returns the Spring bean ID for this bean.
    *
    * @return the Spring bean ID for this bean
    */
    @Override
    public java.lang.String getBeanIdentifier() {
        return _agendamentoLocalService.getBeanIdentifier();
    }

    /**
    * Sets the Spring bean ID for this bean.
    *
    * @param beanIdentifier the Spring bean ID for this bean
    */
    @Override
    public void setBeanIdentifier(java.lang.String beanIdentifier) {
        _agendamentoLocalService.setBeanIdentifier(beanIdentifier);
    }

    @Override
    public java.lang.Object invokeMethod(java.lang.String name,
        java.lang.String[] parameterTypes, java.lang.Object[] arguments)
        throws java.lang.Throwable {
        return _agendamentoLocalService.invokeMethod(name, parameterTypes,
            arguments);
    }

    /**
    * Retorna os agendamentos de determinada mensagem, de acordo com os tipos definidos em {@link TipoAgendamentoEnum} (posi&ccedil;&atilde;o do enum, ou seja, ordinal).
    *
    * @param mensagemId
    * @param tiposAgendamento
    * @return
    * @throws PortalException
    * @throws SystemException
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> findByMensagemTipoAgendamentoMultiplos(
        long mensagemId, int[] tiposAgendamento)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.findByMensagemTipoAgendamentoMultiplos(mensagemId,
            tiposAgendamento);
    }

    /**
    * Define as informa&ccedil;&otilde;es de agendamento nos atributos da mensagem.
    *
    * @param mensagem - inst&acirc;ncia de {@link Mensagem} devidamente inicializada.
    * @param carregarCalendario - definir se deve ou n&atilde;o carregar os Map's auxiliares para a montagem do calend&aacute;rio na p&aacute;gina.
    */
    @Override
    public void carregarAgendamento(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        boolean carregarCalendario)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        _agendamentoLocalService.carregarAgendamento(mensagem,
            carregarCalendario);
    }

    /**
    * Localiza todos os Agendamentos que ainda estao
    * pendentes de envio e que possuem a data e hora anterior ao
    * momento atual.
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> findByMensagensPendetesDeEnvio() {
        return _agendamentoLocalService.findByMensagensPendetesDeEnvio();
    }

    /**
    * Recupera o total de agendamentos por mensagem e situacao de envio.
    */
    @Override
    public int recuperaTotalAgendamentosPorSituacao(long mensagemId,
        int situacaoEnvio)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.recuperaTotalAgendamentosPorSituacao(mensagemId,
            situacaoEnvio);
    }

    /**
    * Recupera uma lista de agendamentos por mensagem e situacao de envio.
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> recuperaAgendamentosPorSituacao(
        long mensagemId, int situacaoEnvio)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.recuperaAgendamentosPorSituacao(mensagemId,
            situacaoEnvio);
    }

    /**
    * Recupera uma lista de agendamentos por mensagem.
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> recuperaAgendamentos(
        long mensagemId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _agendamentoLocalService.recuperaAgendamentos(mensagemId);
    }

    @Override
    public void gerenciaAgendamentos(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.SystemException {
        _agendamentoLocalService.gerenciaAgendamentos(mensagem, agendamento);
    }

    @Override
    public void enviaMensagem(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem mensagem,
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento agendamento)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException,
            java.io.UnsupportedEncodingException,
            javax.mail.internet.AddressException {
        _agendamentoLocalService.enviaMensagem(mensagem, agendamento);
    }

    @Override
    public void enviaMensagem(
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> listaAgendamento)
        throws com.liferay.portal.kernel.exception.PortalException {
        _agendamentoLocalService.enviaMensagem(listaAgendamento);
    }

    /**
     * @deprecated As of 6.1.0, replaced by {@link #getWrappedService}
     */
    public AgendamentoLocalService getWrappedAgendamentoLocalService() {
        return _agendamentoLocalService;
    }

    /**
     * @deprecated As of 6.1.0, replaced by {@link #setWrappedService}
     */
    public void setWrappedAgendamentoLocalService(
        AgendamentoLocalService agendamentoLocalService) {
        _agendamentoLocalService = agendamentoLocalService;
    }

    @Override
    public AgendamentoLocalService getWrappedService() {
        return _agendamentoLocalService;
    }

    @Override
    public void setWrappedService(
        AgendamentoLocalService agendamentoLocalService) {
        _agendamentoLocalService = agendamentoLocalService;
    }
}
