package br.mp.mprj.portal.portlet.gestaomensagens.service.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.InvokableLocalService;

/**
 * Provides the local service utility for EmailDestinatario. This utility wraps
 * {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.EmailDestinatarioLocalServiceImpl} and is the
 * primary access point for service operations in application layer code running
 * on the local server. Methods of this service will not have security checks
 * based on the propagated JAAS credentials because this service can only be
 * accessed from within the same VM.
 *
 * @author Henrique Simoes
 * @see EmailDestinatarioLocalService
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.base.EmailDestinatarioLocalServiceBaseImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.EmailDestinatarioLocalServiceImpl
 * @generated
 */
public class EmailDestinatarioLocalServiceUtil {
    private static EmailDestinatarioLocalService _service;

    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify this class directly. Add custom service methods to {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.EmailDestinatarioLocalServiceImpl} and rerun ServiceBuilder to regenerate this class.
     */

    /**
    * Adds the email destinatario to the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was added
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario addEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().addEmailDestinatario(emailDestinatario);
    }

    /**
    * Creates a new email destinatario with the primary key. Does not add the email destinatario to the database.
    *
    * @param emailDestinatarioId the primary key for the new email destinatario
    * @return the new email destinatario
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario createEmailDestinatario(
        long emailDestinatarioId) {
        return getService().createEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Deletes the email destinatario with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatarioId the primary key of the email destinatario
    * @return the email destinatario that was removed
    * @throws PortalException if a email destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario deleteEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().deleteEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Deletes the email destinatario from the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was removed
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario deleteEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().deleteEmailDestinatario(emailDestinatario);
    }

    public static com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery() {
        return getService().dynamicQuery();
    }

    /**
    * Performs a dynamic query on the database and returns the matching rows.
    *
    * @param dynamicQuery the dynamic query
    * @return the matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQuery(dynamicQuery);
    }

    /**
    * Performs a dynamic query on the database and returns a range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @return the range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end) throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQuery(dynamicQuery, start, end);
    }

    /**
    * Performs a dynamic query on the database and returns an ordered range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService()
                   .dynamicQuery(dynamicQuery, start, end, orderByComparator);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public static long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQueryCount(dynamicQuery);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @param projection the projection to apply to the query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public static long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
        com.liferay.portal.kernel.dao.orm.Projection projection)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQueryCount(dynamicQuery, projection);
    }

    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario fetchEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().fetchEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Returns the email destinatario with the primary key.
    *
    * @param emailDestinatarioId the primary key of the email destinatario
    * @return the email destinatario
    * @throws PortalException if a email destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario getEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().getEmailDestinatario(emailDestinatarioId);
    }

    public static com.liferay.portal.model.PersistedModel getPersistedModel(
        java.io.Serializable primaryKeyObj)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().getPersistedModel(primaryKeyObj);
    }

    /**
    * Returns a range of all the email destinatarios.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of email destinatarios
    * @param end the upper bound of the range of email destinatarios (not inclusive)
    * @return the range of email destinatarios
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> getEmailDestinatarios(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().getEmailDestinatarios(start, end);
    }

    /**
    * Returns the number of email destinatarios.
    *
    * @return the number of email destinatarios
    * @throws SystemException if a system exception occurred
    */
    public static int getEmailDestinatariosCount()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().getEmailDestinatariosCount();
    }

    /**
    * Updates the email destinatario in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was updated
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario updateEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().updateEmailDestinatario(emailDestinatario);
    }

    /**
    * Returns the Spring bean ID for this bean.
    *
    * @return the Spring bean ID for this bean
    */
    public static java.lang.String getBeanIdentifier() {
        return getService().getBeanIdentifier();
    }

    /**
    * Sets the Spring bean ID for this bean.
    *
    * @param beanIdentifier the Spring bean ID for this bean
    */
    public static void setBeanIdentifier(java.lang.String beanIdentifier) {
        getService().setBeanIdentifier(beanIdentifier);
    }

    public static java.lang.Object invokeMethod(java.lang.String name,
        java.lang.String[] parameterTypes, java.lang.Object[] arguments)
        throws java.lang.Throwable {
        return getService().invokeMethod(name, parameterTypes, arguments);
    }

    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> findByGrupoDestinatarioId(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().findByGrupoDestinatarioId(grupoDestinatarioId);
    }

    public static void removeByGrupoDestinatarioId(long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        getService().removeByGrupoDestinatarioId(grupoDestinatarioId);
    }

    public static void clearService() {
        _service = null;
    }

    public static EmailDestinatarioLocalService getService() {
        if (_service == null) {
            InvokableLocalService invokableLocalService = (InvokableLocalService) PortletBeanLocatorUtil.locate(ClpSerializer.getServletContextName(),
                    EmailDestinatarioLocalService.class.getName());

            if (invokableLocalService instanceof EmailDestinatarioLocalService) {
                _service = (EmailDestinatarioLocalService) invokableLocalService;
            } else {
                _service = new EmailDestinatarioLocalServiceClp(invokableLocalService);
            }

            ReferenceRegistry.registerReference(EmailDestinatarioLocalServiceUtil.class,
                "_service");
        }

        return _service;
    }

    /**
     * @deprecated As of 6.2.0
     */
    public void setService(EmailDestinatarioLocalService service) {
    }
}
