package br.mp.mprj.portal.portlet.gestaomensagens.service.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.InvokableLocalService;

/**
 * Provides the local service utility for GrupoDestinatario. This utility wraps
 * {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.GrupoDestinatarioLocalServiceImpl} and is the
 * primary access point for service operations in application layer code running
 * on the local server. Methods of this service will not have security checks
 * based on the propagated JAAS credentials because this service can only be
 * accessed from within the same VM.
 *
 * @author Henrique Simoes
 * @see GrupoDestinatarioLocalService
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.base.GrupoDestinatarioLocalServiceBaseImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.GrupoDestinatarioLocalServiceImpl
 * @generated
 */
public class GrupoDestinatarioLocalServiceUtil {
    private static GrupoDestinatarioLocalService _service;

    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify this class directly. Add custom service methods to {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl.GrupoDestinatarioLocalServiceImpl} and rerun ServiceBuilder to regenerate this class.
     */

    /**
    * Adds the grupo destinatario to the database. Also notifies the appropriate model listeners.
    *
    * @param grupoDestinatario the grupo destinatario
    * @return the grupo destinatario that was added
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario addGrupoDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().addGrupoDestinatario(grupoDestinatario);
    }

    /**
    * Creates a new grupo destinatario with the primary key. Does not add the grupo destinatario to the database.
    *
    * @param grupoDestinatarioId the primary key for the new grupo destinatario
    * @return the new grupo destinatario
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario createGrupoDestinatario(
        long grupoDestinatarioId) {
        return getService().createGrupoDestinatario(grupoDestinatarioId);
    }

    /**
    * Deletes the grupo destinatario with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param grupoDestinatarioId the primary key of the grupo destinatario
    * @return the grupo destinatario that was removed
    * @throws PortalException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario deleteGrupoDestinatario(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().deleteGrupoDestinatario(grupoDestinatarioId);
    }

    /**
    * Deletes the grupo destinatario from the database. Also notifies the appropriate model listeners.
    *
    * @param grupoDestinatario the grupo destinatario
    * @return the grupo destinatario that was removed
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario deleteGrupoDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().deleteGrupoDestinatario(grupoDestinatario);
    }

    public static com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery() {
        return getService().dynamicQuery();
    }

    /**
    * Performs a dynamic query on the database and returns the matching rows.
    *
    * @param dynamicQuery the dynamic query
    * @return the matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQuery(dynamicQuery);
    }

    /**
    * Performs a dynamic query on the database and returns a range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @return the range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end) throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQuery(dynamicQuery, start, end);
    }

    /**
    * Performs a dynamic query on the database and returns an ordered range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @SuppressWarnings("rawtypes")
    public static java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService()
                   .dynamicQuery(dynamicQuery, start, end, orderByComparator);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public static long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQueryCount(dynamicQuery);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @param projection the projection to apply to the query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    public static long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
        com.liferay.portal.kernel.dao.orm.Projection projection)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().dynamicQueryCount(dynamicQuery, projection);
    }

    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchGrupoDestinatario(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().fetchGrupoDestinatario(grupoDestinatarioId);
    }

    /**
    * Returns the grupo destinatario with the matching UUID and company.
    *
    * @param uuid the grupo destinatario's UUID
    * @param companyId the primary key of the company
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchGrupoDestinatarioByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService()
                   .fetchGrupoDestinatarioByUuidAndCompanyId(uuid, companyId);
    }

    /**
    * Returns the grupo destinatario matching the UUID and group.
    *
    * @param uuid the grupo destinatario's UUID
    * @param groupId the primary key of the group
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchGrupoDestinatarioByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().fetchGrupoDestinatarioByUuidAndGroupId(uuid, groupId);
    }

    /**
    * Returns the grupo destinatario with the primary key.
    *
    * @param grupoDestinatarioId the primary key of the grupo destinatario
    * @return the grupo destinatario
    * @throws PortalException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario getGrupoDestinatario(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().getGrupoDestinatario(grupoDestinatarioId);
    }

    public static com.liferay.portal.model.PersistedModel getPersistedModel(
        java.io.Serializable primaryKeyObj)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().getPersistedModel(primaryKeyObj);
    }

    /**
    * Returns the grupo destinatario with the matching UUID and company.
    *
    * @param uuid the grupo destinatario's UUID
    * @param companyId the primary key of the company
    * @return the matching grupo destinatario
    * @throws PortalException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario getGrupoDestinatarioByUuidAndCompanyId(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService()
                   .getGrupoDestinatarioByUuidAndCompanyId(uuid, companyId);
    }

    /**
    * Returns the grupo destinatario matching the UUID and group.
    *
    * @param uuid the grupo destinatario's UUID
    * @param groupId the primary key of the group
    * @return the matching grupo destinatario
    * @throws PortalException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario getGrupoDestinatarioByUuidAndGroupId(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().getGrupoDestinatarioByUuidAndGroupId(uuid, groupId);
    }

    /**
    * Returns a range of all the grupo destinatarios.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> getGrupoDestinatarios(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().getGrupoDestinatarios(start, end);
    }

    /**
    * Returns the number of grupo destinatarios.
    *
    * @return the number of grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public static int getGrupoDestinatariosCount()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().getGrupoDestinatariosCount();
    }

    /**
    * Updates the grupo destinatario in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
    *
    * @param grupoDestinatario the grupo destinatario
    * @return the grupo destinatario that was updated
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario updateGrupoDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().updateGrupoDestinatario(grupoDestinatario);
    }

    /**
    * Returns the Spring bean ID for this bean.
    *
    * @return the Spring bean ID for this bean
    */
    public static java.lang.String getBeanIdentifier() {
        return getService().getBeanIdentifier();
    }

    /**
    * Sets the Spring bean ID for this bean.
    *
    * @param beanIdentifier the Spring bean ID for this bean
    */
    public static void setBeanIdentifier(java.lang.String beanIdentifier) {
        getService().setBeanIdentifier(beanIdentifier);
    }

    public static java.lang.Object invokeMethod(java.lang.String name,
        java.lang.String[] parameterTypes, java.lang.Object[] arguments)
        throws java.lang.Throwable {
        return getService().invokeMethod(name, parameterTypes, arguments);
    }

    /**
    * Insere um novo Grupo de Destinatario.
    */
    public static void inserirGrupoDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario,
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> emailsDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        getService()
            .inserirGrupoDestinatario(grupoDestinatario, emailsDestinatario);
    }

    /**
    * Atualiza um Grupo de Destinatario existente.
    */
    public static void atualizarGrupoDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario,
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> emailsDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        getService()
            .atualizarGrupoDestinatario(grupoDestinatario, emailsDestinatario);
    }

    /**
    * Exclui logicamente um Grupo de Destinatario.
    *
    * @throws SystemException
    * @throws PortalException
    */
    public static void removerGrupoDestinatario(long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        getService().removerGrupoDestinatario(grupoDestinatarioId);
    }

    /**
    * Metodo responsavel por recupera todas as listas de destinatarios e de saida.
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> listaTodos()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getService().listaTodos();
    }

    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByTipoListaAtivo(
        int tipoLista, boolean ativo)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().findByTipoListaAtivo(tipoLista, ativo);
    }

    /**
    * Faz a busca da lista pelos ID's identificados na String (separador: espa&ccedil;o em branco).
    *
    * @param ids
    * @return
    * @throws PortalException
    * @throws SystemException
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        java.lang.String ids)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return getService().findByGrupoDestinatarioIdArray(ids);
    }

    public static void clearService() {
        _service = null;
    }

    public static GrupoDestinatarioLocalService getService() {
        if (_service == null) {
            InvokableLocalService invokableLocalService = (InvokableLocalService) PortletBeanLocatorUtil.locate(ClpSerializer.getServletContextName(),
                    GrupoDestinatarioLocalService.class.getName());

            if (invokableLocalService instanceof GrupoDestinatarioLocalService) {
                _service = (GrupoDestinatarioLocalService) invokableLocalService;
            } else {
                _service = new GrupoDestinatarioLocalServiceClp(invokableLocalService);
            }

            ReferenceRegistry.registerReference(GrupoDestinatarioLocalServiceUtil.class,
                "_service");
        }

        return _service;
    }

    /**
     * @deprecated As of 6.2.0
     */
    public void setService(GrupoDestinatarioLocalService service) {
    }
}
