package br.mp.mprj.portal.portlet.gestaomensagens.service.service.persistence;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.ServiceContext;

import java.util.List;

/**
 * The persistence utility for the anexo mensagem service. This utility wraps {@link AnexoMensagemPersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Henrique Simoes
 * @see AnexoMensagemPersistence
 * @see AnexoMensagemPersistenceImpl
 * @generated
 */
public class AnexoMensagemUtil {
    private static AnexoMensagemPersistence _persistence;

    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
     */

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
     */
    public static void clearCache() {
        getPersistence().clearCache();
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
     */
    public static void clearCache(AnexoMensagem anexoMensagem) {
        getPersistence().clearCache(anexoMensagem);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
     */
    public static long countWithDynamicQuery(DynamicQuery dynamicQuery)
        throws SystemException {
        return getPersistence().countWithDynamicQuery(dynamicQuery);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
     */
    public static List<AnexoMensagem> findWithDynamicQuery(
        DynamicQuery dynamicQuery) throws SystemException {
        return getPersistence().findWithDynamicQuery(dynamicQuery);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
     */
    public static List<AnexoMensagem> findWithDynamicQuery(
        DynamicQuery dynamicQuery, int start, int end)
        throws SystemException {
        return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
     */
    public static List<AnexoMensagem> findWithDynamicQuery(
        DynamicQuery dynamicQuery, int start, int end,
        OrderByComparator orderByComparator) throws SystemException {
        return getPersistence()
                   .findWithDynamicQuery(dynamicQuery, start, end,
            orderByComparator);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel)
     */
    public static AnexoMensagem update(AnexoMensagem anexoMensagem)
        throws SystemException {
        return getPersistence().update(anexoMensagem);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, ServiceContext)
     */
    public static AnexoMensagem update(AnexoMensagem anexoMensagem,
        ServiceContext serviceContext) throws SystemException {
        return getPersistence().update(anexoMensagem, serviceContext);
    }

    /**
    * Returns all the anexo mensagems where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid(
        java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid);
    }

    /**
    * Returns a range of all the anexo mensagems where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @return the range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid(
        java.lang.String uuid, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid, start, end);
    }

    /**
    * Returns an ordered range of all the anexo mensagems where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid(
        java.lang.String uuid, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid, start, end, orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_First(uuid, orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUuid_First(uuid, orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_Last(uuid, orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUuid_Last(uuid, orderByComparator);
    }

    /**
    * Returns the anexo mensagems before and after the current anexo mensagem in the ordered set where uuid = &#63;.
    *
    * @param anexoMensagemId the primary key of the current anexo mensagem
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem[] findByUuid_PrevAndNext(
        long anexoMensagemId, java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_PrevAndNext(anexoMensagemId, uuid,
            orderByComparator);
    }

    /**
    * Removes all the anexo mensagems where uuid = &#63; from the database.
    *
    * @param uuid the uuid
    * @throws SystemException if a system exception occurred
    */
    public static void removeByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeByUuid(uuid);
    }

    /**
    * Returns the number of anexo mensagems where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the number of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static int countByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByUuid(uuid);
    }

    /**
    * Returns the anexo mensagem where uuid = &#63; and groupId = &#63; or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException} if it could not be found.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByUUID_G(
        java.lang.String uuid, long groupId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUUID_G(uuid, groupId);
    }

    /**
    * Returns the anexo mensagem where uuid = &#63; and groupId = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUUID_G(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUUID_G(uuid, groupId);
    }

    /**
    * Returns the anexo mensagem where uuid = &#63; and groupId = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @param retrieveFromCache whether to use the finder cache
    * @return the matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUUID_G(
        java.lang.String uuid, long groupId, boolean retrieveFromCache)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUUID_G(uuid, groupId, retrieveFromCache);
    }

    /**
    * Removes the anexo mensagem where uuid = &#63; and groupId = &#63; from the database.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the anexo mensagem that was removed
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem removeByUUID_G(
        java.lang.String uuid, long groupId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().removeByUUID_G(uuid, groupId);
    }

    /**
    * Returns the number of anexo mensagems where uuid = &#63; and groupId = &#63;.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the number of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static int countByUUID_G(java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByUUID_G(uuid, groupId);
    }

    /**
    * Returns all the anexo mensagems where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @return the matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid_C(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_C(uuid, companyId);
    }

    /**
    * Returns a range of all the anexo mensagems where uuid = &#63; and companyId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @return the range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid_C(
        java.lang.String uuid, long companyId, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_C(uuid, companyId, start, end);
    }

    /**
    * Returns an ordered range of all the anexo mensagems where uuid = &#63; and companyId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByUuid_C(
        java.lang.String uuid, long companyId, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_C(uuid, companyId, start, end, orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByUuid_C_First(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_C_First(uuid, companyId, orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUuid_C_First(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByUuid_C_First(uuid, companyId, orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByUuid_C_Last(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_C_Last(uuid, companyId, orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByUuid_C_Last(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByUuid_C_Last(uuid, companyId, orderByComparator);
    }

    /**
    * Returns the anexo mensagems before and after the current anexo mensagem in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param anexoMensagemId the primary key of the current anexo mensagem
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem[] findByUuid_C_PrevAndNext(
        long anexoMensagemId, java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_C_PrevAndNext(anexoMensagemId, uuid, companyId,
            orderByComparator);
    }

    /**
    * Removes all the anexo mensagems where uuid = &#63; and companyId = &#63; from the database.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @throws SystemException if a system exception occurred
    */
    public static void removeByUuid_C(java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeByUuid_C(uuid, companyId);
    }

    /**
    * Returns the number of anexo mensagems where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @return the number of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static int countByUuid_C(java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByUuid_C(uuid, companyId);
    }

    /**
    * Returns all the anexo mensagems where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @return the matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByMensagemIdAtivo(
        long mensagemId, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByMensagemIdAtivo(mensagemId, ativo);
    }

    /**
    * Returns a range of all the anexo mensagems where mensagemId = &#63; and ativo = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @return the range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByMensagemIdAtivo(
        long mensagemId, boolean ativo, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemIdAtivo(mensagemId, ativo, start, end);
    }

    /**
    * Returns an ordered range of all the anexo mensagems where mensagemId = &#63; and ativo = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findByMensagemIdAtivo(
        long mensagemId, boolean ativo, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemIdAtivo(mensagemId, ativo, start, end,
            orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByMensagemIdAtivo_First(
        long mensagemId, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemIdAtivo_First(mensagemId, ativo,
            orderByComparator);
    }

    /**
    * Returns the first anexo mensagem in the ordered set where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByMensagemIdAtivo_First(
        long mensagemId, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByMensagemIdAtivo_First(mensagemId, ativo,
            orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByMensagemIdAtivo_Last(
        long mensagemId, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemIdAtivo_Last(mensagemId, ativo,
            orderByComparator);
    }

    /**
    * Returns the last anexo mensagem in the ordered set where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching anexo mensagem, or <code>null</code> if a matching anexo mensagem could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByMensagemIdAtivo_Last(
        long mensagemId, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByMensagemIdAtivo_Last(mensagemId, ativo,
            orderByComparator);
    }

    /**
    * Returns the anexo mensagems before and after the current anexo mensagem in the ordered set where mensagemId = &#63; and ativo = &#63;.
    *
    * @param anexoMensagemId the primary key of the current anexo mensagem
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem[] findByMensagemIdAtivo_PrevAndNext(
        long anexoMensagemId, long mensagemId, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemIdAtivo_PrevAndNext(anexoMensagemId,
            mensagemId, ativo, orderByComparator);
    }

    /**
    * Removes all the anexo mensagems where mensagemId = &#63; and ativo = &#63; from the database.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @throws SystemException if a system exception occurred
    */
    public static void removeByMensagemIdAtivo(long mensagemId, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeByMensagemIdAtivo(mensagemId, ativo);
    }

    /**
    * Returns the number of anexo mensagems where mensagemId = &#63; and ativo = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param ativo the ativo
    * @return the number of matching anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static int countByMensagemIdAtivo(long mensagemId, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByMensagemIdAtivo(mensagemId, ativo);
    }

    /**
    * Caches the anexo mensagem in the entity cache if it is enabled.
    *
    * @param anexoMensagem the anexo mensagem
    */
    public static void cacheResult(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem anexoMensagem) {
        getPersistence().cacheResult(anexoMensagem);
    }

    /**
    * Caches the anexo mensagems in the entity cache if it is enabled.
    *
    * @param anexoMensagems the anexo mensagems
    */
    public static void cacheResult(
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> anexoMensagems) {
        getPersistence().cacheResult(anexoMensagems);
    }

    /**
    * Creates a new anexo mensagem with the primary key. Does not add the anexo mensagem to the database.
    *
    * @param anexoMensagemId the primary key for the new anexo mensagem
    * @return the new anexo mensagem
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem create(
        long anexoMensagemId) {
        return getPersistence().create(anexoMensagemId);
    }

    /**
    * Removes the anexo mensagem with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param anexoMensagemId the primary key of the anexo mensagem
    * @return the anexo mensagem that was removed
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem remove(
        long anexoMensagemId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().remove(anexoMensagemId);
    }

    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem updateImpl(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem anexoMensagem)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().updateImpl(anexoMensagem);
    }

    /**
    * Returns the anexo mensagem with the primary key or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException} if it could not be found.
    *
    * @param anexoMensagemId the primary key of the anexo mensagem
    * @return the anexo mensagem
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem findByPrimaryKey(
        long anexoMensagemId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchAnexoMensagemException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByPrimaryKey(anexoMensagemId);
    }

    /**
    * Returns the anexo mensagem with the primary key or returns <code>null</code> if it could not be found.
    *
    * @param anexoMensagemId the primary key of the anexo mensagem
    * @return the anexo mensagem, or <code>null</code> if a anexo mensagem with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem fetchByPrimaryKey(
        long anexoMensagemId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByPrimaryKey(anexoMensagemId);
    }

    /**
    * Returns all the anexo mensagems.
    *
    * @return the anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll();
    }

    /**
    * Returns a range of all the anexo mensagems.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @return the range of anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findAll(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll(start, end);
    }

    /**
    * Returns an ordered range of all the anexo mensagems.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.AnexoMensagemModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of anexo mensagems
    * @param end the upper bound of the range of anexo mensagems (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem> findAll(
        int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll(start, end, orderByComparator);
    }

    /**
    * Removes all the anexo mensagems from the database.
    *
    * @throws SystemException if a system exception occurred
    */
    public static void removeAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeAll();
    }

    /**
    * Returns the number of anexo mensagems.
    *
    * @return the number of anexo mensagems
    * @throws SystemException if a system exception occurred
    */
    public static int countAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countAll();
    }

    public static AnexoMensagemPersistence getPersistence() {
        if (_persistence == null) {
            _persistence = (AnexoMensagemPersistence) PortletBeanLocatorUtil.locate(br.mp.mprj.portal.portlet.gestaomensagens.service.service.ClpSerializer.getServletContextName(),
                    AnexoMensagemPersistence.class.getName());

            ReferenceRegistry.registerReference(AnexoMensagemUtil.class,
                "_persistence");
        }

        return _persistence;
    }

    /**
     * @deprecated As of 6.2.0
     */
    public void setPersistence(AnexoMensagemPersistence persistence) {
    }
}
